# Agent configuration file
#
# The following are the properties that the agent recognizes:
#
#    agent.listenPort
#         Default:      "2144"
#
#         Description:  Port that the agent listens on for internal communication.
#
#    agent.startupTimeOut
#         Default:      "300"
#
#         Description:  The number of seconds that the agent startup
#                       script waits before determining that the agent
#                       did not start successfully.
#
#
#    agent.setup.serverConnectionTimeout
#         Default:      "300"
#
#         Description:  This is the number of seconds that the agent startup
#                       script will wait before determining that the server
#                       is not reachable and quitting the reconnection attempts.
#
#
#    agent.maxBatchSize
#         Default:      "500"
#
#         Description:  The maximum number of metrics that the
#                       agent sends per contact with the server.
#
#
#    agent.eventReportBatchSize
#         Default:      "100"
#
#         Description:  The agent sends events to the server in reports containing
#                       a maximum of this number of events, until all events have been
#                       sent to the server.
#
#
#    agent.proxyHost
#         Default:      none
#
#         Description:  The host name or IP address of the proxy server that the
#                       agent must first connect to when establishing a connection
#                       to the server.
#
#
#    agent.proxyPort
#         Default:      none
#
#         Description:  The port number of the proxy server that the agent
#                       must first connect to when establishing a connection to
#                       the server.
#
#
#    agent.enabledCiphers
#         Default:      TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA,TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA,TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA,TLS_ECDH_RSA_WITH_AES_256_CBC_SHA,TLS_DHE_RSA_WITH_AES_256_CBC_SHA,TLS_DHE_DSS_WITH_AES_256_CBC_SHA,TLS_DH_RSA_WITH_AES_256_CBC_SHA,TLS_DH_DSS_WITH_AES_256_CBC_SHA,TLS_RSA_WITH_AES_256_CBC_SHA,TLS_DHE_RSA_WITH_AES_128_CBC_SHA,TLS_RSA_WITH_AES_128_CBC_SHA,TLS_DHE_DSS_WITH_AES_128_CBC_SHA,TLS_DH_RSA_WITH_AES_128_CBC_SHA,TLS_DH_DSS_WITH_AES_128_CBC_SHA
#         For IBM JRE only, the default value also includes SSL_RSA_WITH_AES_128_CBC_SHA and SSL_RSA_WITH_AES_256_CBC_SHA
#         Description:  The ciphers supported for secure communication with the agent.
#


## Use the following properties to automate agent setup
## using these values.
##
## If any properties do not have values specified, the setup
## process prompts for their values.
##
## If the value to use during automated setup is the default,
## use the string *default* as the value for the option.

#agent.setup.serverIP=localhost
#agent.setup.serverSSLPort=443
#agent.setup.serverLogin=username
#agent.setup.serverPword=password

##
## The server certificate thumbprint to trust, when performing silent installation.
## You can specify either SHA1 or SHA256 algorithms (in hexadecimal format).
##
#agent.setup.serverCertificateThumbprint=

##
## The source IP address from which the agent creates a connection. When the agent is installed
## on a machine with several network interface cards it's possible to choose the 
## source IP address that the agent will use
##
#agent.setup.agentIP=

##
## This file contains the token that identifies the platform
## *default* value represents these folders:
## Linux: /etc/epops/epops-token
## Windows: %PROGRAMDATA%/VMware/EP Ops Agent/epops-token
##          or %ALLUSERSPROFILE%/VMware/EP Ops Agent/epops-token (for Windows Server 2003, or earlier)
##
## You can specify an absolute path or a relative path. A relative path is relative to <AGENT_INSTALL_DIR>/wrapper/sbin
##
## Note: using the backslash ("\") or percentage ("%") won't work.
## Please use the slash ("/") sign also for Windows path.
## Do not use environment variables, but rather write the full equivalent default path.
## i.e: use agent.setup.tokenFileWindows=c:/epops-token and NOT agent.setup.tokenFileWindows=c:\epops-token
##      use agent.setup.tokenFileWindows=C:/ProgramData/epops-token and NOT agent.setup.tokenFileWindows=%PROGRAMDATA%/epops-token

#agent.setup.tokenFileLinux=*default*
#agent.setup.tokenFileWindows=*default*

##
## The custom keystore private key alias for the agent.
## Used for agents with a custom keystore.
## Cannot be changed after the agent is initialized.
##
#agent.keystore.alias=hq

##
## The custom keystore private key alias for the agent's
## client authentication to the vRealize Operations Manager server
##
#agent.keystore.client.certificate.alias=agent

##
## The alias for the server certificate to be stored in the keystore.
##
#agent.keystore.server.certificate.alias=epops_server

# Required to find server/lib/weblogic.jar
#weblogic.installpath=/usr/local/bea/weblogic-8.1

# Required to find websphere jars
#websphere.installpath=/opt/WebSphere/AppServer

# Required to find jboss jars
#jboss.installpath=/usr/local/jboss-4.0.0

# Mirror /proc/net/tcp on linux
sigar.mirror.procnet=true

##
## Logging settings
##
agent.logFile=${agent.logDir}/agent.log
agent.logLevel=INFO
log4j.rootLogger=${agent.logLevel}, R

log4j.appender.R.File=${agent.logFile}
log4j.appender.R.MaxBackupIndex=1
log4j.appender.R.MaxFileSize=5000KB
log4j.appender.R.layout.ConversionPattern=%d{dd-MM-yyyy HH:mm:ss,SSS z} %-5p [%t] [%c{1}] %m%n
log4j.appender.R.layout=org.apache.log4j.PatternLayout
log4j.appender.R=org.apache.log4j.RollingFileAppender

##
## Redirect System.{err,out} to agent.log
## commenting out will leave System.{out,err} directed to agent.log.startup
##
agent.logLevel.SystemErr=ERROR
agent.logLevel.SystemOut=INFO

##
## Disable overly verbose logging
##
log4j.logger.org.apache.http=ERROR
log4j.logger.org.springframework.web.client.RestTemplate=ERROR
log4j.logger.org.hyperic.hq.measurement.agent.server.SenderThread=INFO
log4j.logger.org.hyperic.hq.agent.server.AgentDListProvider=INFO
log4j.logger.org.hyperic.hq.agent.server.MeasurementSchedule=INFO
log4j.logger.org.hyperic.util.units=INFO
log4j.logger.org.hyperic.hq.product.pluginxml=INFO

# Only log errors from naming context
log4j.category.org.jnp.interfaces.NamingContext=ERROR
log4j.category.org.apache.axis=ERROR

#Agent Subsystems: Uncomment individual subsystems to see debug messages.
#-----------------------------------------------------------------------
#log4j.logger.org.hyperic.hq.autoinventory=DEBUG
#log4j.logger.org.hyperic.hq.livedata=DEBUG
#log4j.logger.org.hyperic.hq.measurement=DEBUG
#log4j.logger.org.hyperic.hq.control=DEBUG

#Agent Plugin Implementations
#log4j.logger.org.hyperic.hq.product=DEBUG

#Server Communication
#log4j.logger.org.hyperic.hq.bizapp.client.AgentCallbackClient=DEBUG

#Server Realtime commands dispatcher
#log4j.logger.org.hyperic.hq.agent.server.CommandDispatcher=DEBUG

#Agent Configuration parser
#log4j.logger.org.hyperic.hq.agent.AgentConfig=DEBUG

#Agent plugins loader
#log4j.logger.org.hyperic.util.PluginLoader=DEBUG

#Agent Metrics Scheduler (Scheduling tasks definitions & executions)
#log4j.logger.org.hyperic.hq.agent.server.session.AgentSynchronizer.SchedulerThread=DEBUG

#Agent Plugin Managers
#log4j.logger.org.hyperic.hq.product.MeasurementPluginManager=DEBUG
#log4j.logger.org.hyperic.hq.product.AutoinventoryPluginManager=DEBUG
#log4j.logger.org.hyperic.hq.product.ConfigTrackPluginManager=DEBUG
#log4j.logger.org.hyperic.hq.product.LogTrackPluginManager=DEBUG
#log4j.logger.org.hyperic.hq.product.LiveDataPluginManager=DEBUG
#log4j.logger.org.hyperic.hq.product.ControlPluginManager=DEBUG

#--------------------------------------------------------------------------------------

##
## Auto-inventory options
##

#autoinventory.defaultScan.interval.millis=86400000
autoinventory.syncScan.interval.millis=86400000


##
## SSL Settings
##
## The path and password to the keystore file, used to set up the SSL
## on the agent. Only required for use with your existing keystore.
## The path must be an absolute path.
## Please use the slash ("/") sign also for Windows path.
## i.e: use agent.keystore.path=c:/keystore and NOT agent.keystore.path=c:\keystore
##
# agent.keystore.path=
# agent.keystore.password=
##
## Automatically accept unverified certificates.
## Relevant only for plugins that monitor over ssl and not for the agent itself.(Agent Registration ignores it)
## For silent registration, use: agent.setup.serverCertificateThumbprint
accept.unverified.certificates=true


## Define vsphere plugin thread size (default is 1)
scheduleThread.poolsize.vsphere=2

## Should the agent adjust the metric results to account for the time offset of the server?
agent.deductServerTimeDiff=true

## Frequency for fetching commands from the server in milliseconds
agent.setup.uniPollingFrequency=60000

